Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InviteLinkChatType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InviteLinkChatType

Direct Known Subclasses:
  `TdApi.InviteLinkChatTypeBasicGroup`, `TdApi.InviteLinkChatTypeChannel`, `TdApi.InviteLinkChatTypeSupergroup`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.InviteLinkChatType extends TdApi.Object permits TdApi.InviteLinkChatTypeBasicGroup, TdApi.InviteLinkChatTypeSupergroup, TdApi.InviteLinkChatTypeChannel
This class is an abstract base class. Describes the type of a chat to which points an invite link.

## Constructor Summary

Constructors
Constructor
Description
`InviteLinkChatType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InviteLinkChatType

public InviteLinkChatType()
Default class constructor.